Index
Can't update due to signature error - Printable Version

+- Index (https://forums.netrunner.com)
+-- Forum: Netrunner Rolling (https://forums.netrunner.com/forumdisplay.php?fid=87)
+--- Forum: Rolling 2018.01 (https://forums.netrunner.com/forumdisplay.php?fid=89)
+--- Thread: Can't update due to signature error (/showthread.php?tid=24517)



Can't update due to signature error - drhedberg - 30th June 2018

Fresh installation and running sudo pacman -Syyu to update results in the following error:

error: qtermwidget: signature from "Jerome Leclanche <jerome@leclan.ch>" is unknown trust
:: File /var/cache/pacman/pkg/qtermwidget-0.9.0-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.


It doesn't matter if I choose Y or N to delete it.

Thanks


RE: Can't update due to signature error - drhedberg - 30th June 2018

I also tried to refresh keys after using sudo pacman -Syy using the Manjaro tutorial to fix key issues but I got this:

sudo pacman-key --refresh-keys
gpg: refreshing 121 keys from hkp://pool.sks-keyservers.net
gpg: keyserver refresh failed: Server indicated a failure
==> ERROR: A specified local key could not be updated from a keyserver.


RE: Can't update due to signature error - AJSlye - 30th June 2018

OK, first question.
Do you have any AUR packages that need a key?

If not, then here is the full refresh sequence:
Code:
sudo gpg --refresh-keys
sudo pacman-key --init && pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
sudo pacman -Syyu

Next, if you get this again "Do you want to delete it? [Y/n]", the answer is Y.


RE: Can't update due to signature error - drhedberg - 30th June 2018

(30th June 2018, 18:45)AJSlye Wrote: OK, first question.
Do you have any AUR packages that need a key?

I did not have any AUR packages installed yet.

If not, then here is the full refresh sequence:

Code:
sudo gpg --refresh-keys
sudo pacman-key --init && pacman-key --populate archlinux manjaro
sudo pacman-key --refresh-keys
sudo pacman -Syyu

Next, if you get this again "Do you want to delete it? [Y/n]", the answer is Y.

The above code didn't work for me.

I found a thread on the Manjaro forums that others had with this issue but none of the commands worked for me.  I installed my VPN Private Internet Access and I was finally able to upgrade since that changed my DNS which was the solution for another poster.

Not sure why I had to use different DNS but that's what worked for me.  This would be interesting to know why if you know the answer.

Thanks for your help as always.


RE: Can't update due to signature error - AJSlye - 30th June 2018

Quote:Not sure why I had to use different DNS but that's what worked for me.  This would be interesting to know why if you know the answer.

That does indeed sound strange. No I don't know why that would be the case, other than perhaps curruption during download using your ISP's DNS.